<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/penetapan/perdata_tun/".$filename.".rtf");
$Template = file_get_contents($url);

$dataPersiapan=$dataPersiapan->result();
foreach ($dataPenetapan->result() as $key=>$datapen) {
    $$key=$datapen;
}
foreach ($datapen as $key=>$varhasil){
    $$key=$varhasil;   
}

foreach ($dataPN->result() as $key=>$datapn) {
    $$key=$datapn;
}
foreach ($datapn as $key=>$varhasil) {
    $$key=$varhasil;
}

foreach ($dataPerkara->result() as $key=>$dataperkara){
    $$key=$dataperkara;   
}
foreach ($dataperkara as $key=>$varhasil){
    $$key=$varhasil;   
}
if (!empty($dataputusan)) {
	foreach ($dataPutusan->result() as $key=>$dataputusan){
		$$key=$dataputusan;   
	}
}else{
	$dataputusan='';
}

if (!empty($dataputusan)) {
	foreach ($dataputusan as $key=>$varhasil){
		$$key=$varhasil;   
	}
} else {
		$tanggal_putusan="...........";
		$amar_putusan="...........";
		$dihadiri_oleh="...........";
}

$dataPihak1=$dataPihak1;
$dataPihak2=$dataPihak2;
$dataPihak3=$dataPihak3;
$dataPengacaraPihak1=$dataPengacaraPihak1;
$dataPengacaraPihak2=$dataPengacaraPihak2;
$dataPengacaraPihak3=$dataPengacaraPihak3;
$dataSaksi=$dataSaksi;

$nama_pengadilan=$this->templatehelper->standradnaming($NamaPN);
$alamt_pn=$this->templatehelper->standradnaming($AlamatPN);
$nama_kota=$this->templatehelper->namaKota($NamaPN);
$nama_ketua = $KetuaPNNama;
$nama_wakil=$WakilKetuaPNNama;
$nama_pansek=$PansekPNNama;
if ($tanggal_pendaftaran!='') {
    $tanggal_pendaftaran=$this->tanggalhelper->convertToInputDate($tanggal_pendaftaran);
}else{
    $tanggal_pendaftaran='___________';
}
$jenis_perkara_nama=$jenis_perkara_nama;
$nomor_perkara=$nomor_perkara;
$tanggal_surat=$this->tanggalhelper->convertToInputDate($tanggal_surat);
$nomor_surat=$nomor_surat;
$petitum=$petitum;

$tgl_penetapan_majelis=$this->tanggalhelper->convertToInputDate($penetapan_majelis);
$no_penetapan_majelis=$nomor_sk_penetapan_majelis;
$tgl_sidang_pertama=$this->tanggalhelper->convertToInputDate($tanggal_sidang);
$no_penetapan_pp=$nomor_sk_penetapan_pp;
$tgl_penetapan_pp=$this->tanggalhelper->convertToInputDate($penetapan_pp);
$no_penetapan_pp=$nomor_sk_penetapan_pp;
$nama_pp=$panitera_nama;
//$tanggal_penetapan_persiapan=$this->tanggalhelper->convertToInputDate($tanggal_penetapan_persiapan);



$counter = 1;
$pihak1 = '';
$pihak1_id='';
$arr_pihak1 = array();
$numbering = true;
if($dataPihak1->num_rows >1){
    for ($i=0; $i < $dataPihak1->num_rows; $i++) { 
        $text = 'penggugat'.($i+1);
        if($i==$dataPihak1->num_rows-1){
            $Template = str_replace('#loopingpenggugat#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingpenggugat#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingpenggugat#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingpenggugat#','#penggugat#',$Template);
}

if (!empty($dataPihak1->num_rows)){   
    foreach ($dataPihak1->result() as $row){
        $pihak1_id=$row->pihak_id;
        $arr_pihak1[]=$row->id;
        if ($dataPihak1->num_rows==1) {
            $nomor='';
            $tab='';
            $penggugat = '\b0\\par ';
        }else{
            $nomor=$counter.".";
            $tab='\tab';
            $penggugat = '\b0\\par ';
        }
        
        $pihak1 = $penggugat;
        $pihak1 .= ''.$nomor.$tab.' Nama     \tab : \tab '.$this->templatehelper->standradnaming($row->nama).'\\par';
        $pihak1 .= ' '.$tab.' Kewarganegaraan \tab : \tab '.$row->kewarganegaraan.'\\par';
        $pihak1 .= ' '.$tab.' Tempat tinggal \tab : \tab '.$row->alamat.'\\par';
        $pihak1 .= ' '.$tab.' Pekerjaan \tab : \tab '.$row->pekerjaan.'\\par';
                       
                        $counterAdv1 = 1;
                        $pengacara1 = '';
                        $arr_pengacara = array();
                        $numberingAdv = true;
                        $temp_tgl_surat_kuasa='';
                        if (!empty($dataPengacaraPihak1->num_rows)){   
                            foreach ($dataPengacaraPihak1->result() as $row){
                                if ($row->pihak_id==$pihak1_id) {

                                    if ($row->pekerjaan==' '?$pekerjaan_advokat='........... ' :$pekerjaan_advokat= $row->pekerjaan);
                                    if ($row->alamat==''?$alamat_kantor_advokat='............' :$alamat_kantor_advokat=$row->alamat);
                                    if ($row->aktif_mulai==''?$tgl_surat_kuasa='............' :$tgl_surat_kuasa=$this->templatehelper->convertKeTglIndo($row->aktif_mulai));
                                    if ($temp_tgl_surat_kuasa!=$tgl_surat_kuasa || $temp_tgl_surat_kuasa==''){
                                        $pihak1 .= '\par\tab \tab \tab Dalam hal ini berdasarkan Surat kuasa Khusus tertanggal '.$tgl_surat_kuasa.'  memberikan kuasa kepada: \\par ';
                                    }
                                    $temp_tgl_surat_kuasa=$tgl_surat_kuasa;
                                    $arr_pengacara[]=$row->id;
                                    $pengacara = '\b0 ';
                                    $pengacara1 = $pengacara;
                                    if ($dataPengacaraPihak1->num_rows==1) {
                                        $nomor='';
                                        $tab=' \tab ';
                                        $pengacara1 .= ' '.$tab.$tab.$nomor.$tab.'Nama        \tab : \tab '.$this->templatehelper->standradnaming($row->nama).'\\par';
                                        $pengacara1 .= ' '.$tab.$tab.$tab.'Kewarganegaraan \tab : \tab '.$row->kewarganegaraan.'\\par ';
                                        $pengacara1 .= $tab.'Tempat tinggal \tab : \tab '.$row->alamat.'\\par';
                                        $pengacara1 .= ' '.$tab.$tab.$tab.' Pekerjaan    \tab : \tab '.$row->pekerjaan.'\\par ';
                                        $pihak1 .=' \tab \tab \tab Alamat kantor \tab : \tab '.$alamat_kantor_advokat.' \\par\\par';
                                    }else{
                                        $nomor=$counterAdv1.".";
                                        $tab=' \tab ';
                                        $pengacara1 .= ' '.$tab.$tab.$tab.$nomor.' '.$this->templatehelper->standradnaming($row->nama).' ';
                                    }
                                    $counterAdv1++;
                                    $pihak1 .=$pengacara1.'\\par';
                                    $pihak1 .= '';
                                }
                            }
                            if (count($arr_pengacara)>1) {
                                    $pihak1 .='\\par \tab \tab \tab Kesemuanya kewarganegaraan '.$row->kewarganegaraan.', pekerjaan '.$pekerjaan_advokat.'  beralamat kantor di '.$alamat_kantor_advokat.' \\par';
                            }
                        }

        if($numbering==true){
            $Template = str_replace('#penggugat'.$counter.'#',$pihak1,$Template);
            $Template = str_replace('#penggugat/parapenggugat#','Untuk selanjutnya disebut sebagai Para Penggugat',$Template);
        }else{
           $Template = str_replace('#penggugat#',$pihak1,$Template);
           $Template = str_replace('#penggugat/parapenggugat#','Untuk selanjutnya disebut sebagai Penggugat',$Template);
        }
        $counter++;    
    }
}


$counter = 1;
$pihak2 = '';
$pihak2_id='';
$arr_pihak2 = array();
$numbering = true;
if($dataPihak2->num_rows >1){
    for ($i=0; $i < $dataPihak2->num_rows; $i++) { 
        $text = 'tergugat'.($i+1);
        if($i==$dataPihak2->num_rows-1){
            $Template = str_replace('#loopingtergugat#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingtergugat#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingtergugat#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingtergugat#','#tergugat#',$Template);
}

if (!empty($dataPihak2->num_rows)){   
    foreach ($dataPihak2->result() as $row){
        $pihak2_id=$row->pihak_id;
        $arr_pihak2[]=$row->id;
        if ($dataPihak2->num_rows==1) {
            $nomor='';
            $tab='';
            $tergugat = '\b0\\par ';
        }else{
            $nomor=$counter.".";
            $tab='\tab';
            $tergugat = '\b0\\par ';
        }
        
        $pihak2 = $tergugat;
        $pihak2 .= ''.$nomor.$tab.' Nama     \tab : \tab '.$this->templatehelper->standradnaming($row->nama).'\\par';
        $pihak2 .= ' '.$tab.' Kewarganegaraan \tab : \tab '.$row->kewarganegaraan.'\\par';
        $pihak2 .= ' '.$tab.' Tempat tinggal \tab : \tab '.$row->alamat.'\\par';
        $pihak2 .= ' '.$tab.' Pekerjaan \tab : \tab '.$row->pekerjaan.'\\par';
                       
                        $counterAdv2 = 1;
                        $pengacara2 = '';
                        $arr_pengacara = array();
                        $numberingAdv = true;
                        $kesemuanya='';$temp_tgl_surat_kuasa='';
                        if (!empty($dataPengacaraPihak2->num_rows)){   
                            foreach ($dataPengacaraPihak2->result() as $row){
                                if ($pihak2_id==$row->pihak_id) {

                                    if ($row->pekerjaan==' '?$pekerjaan_advokat='........... ' :$pekerjaan_advokat= $row->pekerjaan);
                                    if ($row->alamat==''?$alamat_kantor_advokat='............' :$alamat_kantor_advokat=$row->alamat);
                                    if ($row->aktif_mulai==''?$tgl_surat_kuasa='............' :$tgl_surat_kuasa=$this->templatehelper->convertKeTglIndo($row->aktif_mulai));
                                    if ($temp_tgl_surat_kuasa!=$tgl_surat_kuasa || $temp_tgl_surat_kuasa==''){
                                        $pihak2 .= '\par\tab \tab \tab Dalam hal ini berdasarkan Surat kuasa Khusus tertanggal '.$tgl_surat_kuasa.'  memberikan kuasa kepada: \\par ';
                                    }
                                    $temp_tgl_surat_kuasa=$tgl_surat_kuasa;
                                    $arr_pengacara[]=$row->id;
                                    $pengacara = '\b0 ';
                                    $pengacara2 = $pengacara;
                                    if ($dataPengacaraPihak2->num_rows==1) {
                                        $nomor='';
                                        $tab=' \tab ';
                                        $pengacara2 .= ' '.$tab.$tab.$nomor.$tab.'Nama        \tab : \tab '.$this->templatehelper->standradnaming($row->nama).'\\par';
                                        $pengacara2 .= ' '.$tab.$tab.$tab.'Kewarganegaraan \tab : \tab '.$row->kewarganegaraan.'\\par ';
                                        $pengacara2 .= $tab.$tab.$tab.'Tempat tinggal \tab : \tab '.$row->alamat.'\\par';
                                        $pengacara2 .= ' '.$tab.$tab.$tab.'Pekerjaan    \tab : \tab '.$row->pekerjaan.'\\par ';
                                    }else{
                                        $nomor=$counterAdv2.".";
                                        $tab=' \tab ';
                                        $pengacara2 .= ' '.$tab.$tab.$tab.$nomor.' '.$this->templatehelper->standradnaming($row->nama).' ';
                                    }
                                    $counterAdv2++;
                                    $pihak2 .=$pengacara2.'\\par';
                                    $pihak2 .= '';
                                }
                            }
                            if (count($arr_pengacara)>1) {
                                    $pihak2 .='\\par \tab \tab \tab Kesemuanya kewarganegaraan '.$row->kewarganegaraan.', pekerjaan '.$pekerjaan_advokat.'  beralamat kantor di '.$alamat_kantor_advokat.' \\par';
                            }
                            if (count($dataPihak2->result())>1) {
                                $pihak2 .= '\\par Untuk selanjutnya disebut sebagai \b0 TERGUGAT '.$counter;
                            }
                        }
        if($numbering==true){
            $Template = str_replace('#tergugat'.$counter.'#',$pihak2,$Template);
            $Template = str_replace('#tergugat/paratergugat#','Untuk selanjutnya disebut sebagai Para Tergugat',$Template);
        }else{
           $Template = str_replace('#tergugat#',$pihak2,$Template);
           $Template = str_replace('#tergugat/paratergugat#','Untuk selanjutnya disebut sebagai Tergugat',$Template);
        }
        $counter++;    
    }
}

$counter = 1;
$pihak3 = '';
$pihak3_id='';
$arr_pihak3 = array();
$numbering = true;
if($dataPihak3->num_rows >1){
    $Template = str_replace('#dan#'," DAN ",$Template);
    for ($i=0; $i < $dataPihak3->num_rows; $i++) { 
        $text = 'intervensi'.($i+1);
        if($i==$dataPihak3->num_rows-1){
            $Template = str_replace('#loopingintervensi#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingintervensi#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingintervensi#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#dan#'," ",$Template);
    $Template = str_replace('#loopingintervensi#','#intervensi#',$Template);
}

if (!empty($dataPihak3->num_rows)){   
    foreach ($dataPihak3->result() as $row){
        $pihak3_id=$row->pihak_id;
        $arr_pihak3[]=$row->id;
        if ($dataPihak3->num_rows==1) {
            $nomor='';
            $tab='';
            $intervensi = '\b0\\par ';
        }else{
            $nomor=$counter.".";
            $tab='\tab';
            $intervensi = '\b0\\par ';
        }
        
        $pihak3 = $intervensi;
        $pihak3 .= ''.$nomor.$tab.' Nama     \tab : \tab '.$this->templatehelper->standradnaming($row->nama).'\\par';
        $pihak3 .= ' '.$tab.' Kewarganegaraan \tab : \tab '.$row->kewarganegaraan.'\\par';
        $pihak3 .= ' '.$tab.' Tempat tinggal \tab : \tab '.$row->alamat.'\\par';
        $pihak3 .= ' '.$tab.' Pekerjaan \tab : \tab '.$row->pekerjaan.'\\par';
                       
                        $counterAdv3 = 1;
                        $pengacara3 = '';
                        $arr_pengacara = array();
                        $numberingAdv = true;
                        $kesemuanya='';$temp_tgl_surat_kuasa='';
                        if (!empty($dataPengacaraPihak3->num_rows)){   
                            foreach ($dataPengacaraPihak3->result() as $row){
                                if ($pihak3_id==$row->pihak_id) {

                                    if ($row->pekerjaan==' '?$pekerjaan_advokat='........... ' :$pekerjaan_advokat= $row->pekerjaan);
                                    if ($row->alamat==''?$alamat_kantor_advokat='............' :$alamat_kantor_advokat=$row->alamat);
                                    if ($row->aktif_mulai==''?$tgl_surat_kuasa='............' :$tgl_surat_kuasa=$this->templatehelper->convertKeTglIndo($row->aktif_mulai));
                                    if ($temp_tgl_surat_kuasa!=$tgl_surat_kuasa || $temp_tgl_surat_kuasa==''){
                                        $pihak3 .= '\par\tab \tab \tab Dalam hal ini berdasarkan Surat kuasa Khusus tertanggal '.$tgl_surat_kuasa.'  memberikan kuasa kepada: \\par ';
                                    }
                                    $temp_tgl_surat_kuasa=$tgl_surat_kuasa;
                                    $arr_pengacara[]=$row->id;
                                    $pengacara = '\b0 ';
                                    $pengacara3 = $pengacara;
                                    if ($dataPengacaraPihak3->num_rows==1) {
                                        $nomor='';
                                        $tab=' \tab ';
                                        $pengacara3 .= ' '.$tab.$tab.$nomor.$tab.'Nama        \tab : \tab '.$this->templatehelper->standradnaming($row->nama).'\\par';
                                        $pengacara3 .= ' '.$tab.$tab.$tab.'Kewarganegaraan \tab : \tab '.$row->kewarganegaraan.'\\par ';
                                        $pengacara3 .= $tab.$tab.'Tempat tinggal \tab : \tab '.$row->alamat.'\\par';
                                        $pengacara3 .= ' '.$tab.$tab.'Pekerjaan    \tab : \tab '.$row->pekerjaan.' ';
                                    }else{
                                        $nomor=$counterAdv3.".";
                                        $tab=' \tab ';
                                        $pengacara3 .= ' '.$tab.$tab.$tab.$nomor.' '.$this->templatehelper->standradnaming($row->nama).' ';
                                    }
                                    $counterAdv3++;
                                    $pihak3 .=$pengacara3.'\\par';
                                    $pihak3 .= '';
                                    $pihak3 .= $kesemuanya;
                                }
                            }
                            if (count($arr_pengacara)>1) {
                                    $pihak3 .='\\par \tab \tab \tab Kesemuanya kewarganegaraan '.$row->kewarganegaraan.', pekerjaan '.$pekerjaan_advokat.'  beralamat kantor di '.$alamat_kantor_advokat.' \\par';
                            }
                            $pihak3 .= ' Untuk selanjutnya disebut sebagai \b PIHAK II INTERVENSI '.$counter;
                        }
        if($numbering==true){
            $Template = str_replace('#intervensi'.$counter.'#',$pihak3,$Template);
            $Template = str_replace('#intervensi/paraintervensi#','Para Intervensi',$Template);
        }else{
           $Template = str_replace('#intervensi#',$pihak3,$Template);
           $Template = str_replace('#intervensi/paraintervensi#','Intervensi',$Template);
        }
        $counter++;    
    }
}else{
   $Template = str_replace('#intervensi#','',$Template); 
}





$counter = 1;
$majelis = '';
$arr_majelis = array();
$numbering = true;
$hakim_ketua='';
$hakim_anggotaN='';
if($dataPerkara->num_rows >1){
    for ($i=0; $i < $dataPerkara->num_rows; $i++) { 
        $text = 'hakimanggota'.($i+1);
        if($i==$dataPerkara->num_rows-1){
            $Template = str_replace('#loopingmajelis#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingmajelis#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingmajelis#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingmajelis#','#hakimanggota#',$Template);
}

if (!empty($dataPerkara->num_rows)){
    foreach ($dataPerkara->result() as $row){
        $arr_majelis[]=$row->urutan_hakim;
        if ($dataPerkara->num_rows==1) {
            $hakimanggota = '\b0\\par ';
        }else{
            $hakimanggota = '\b0\\par ';
        }
        $majelis = "";
        if ($row->urutan_hakim==1) {
            $hakim_ketua=$row->hakim_nama;
        }else{
            if ($row->urutan_hakim!=1){
                $hakim_anggotaN .= ' '.$this->templatehelper->standradnaming($row->hakim_nama).' Selaku Hakim Anggota DAN ';   
                $majelis .= $counter.' '.$this->templatehelper->standradnaming($row->hakim_nama).'\\par';
            }
        }
        
        if($numbering==true){
            $Template = str_replace('#hakimanggota'.$counter.'#',$majelis,$Template);
            $Template = str_replace('#hakimanggota/hakim#','MAJELIS HAKIM',$Template);
        }else{
           $Template = str_replace('#hakimanggota#',$majelis,$Template);
           $Template = str_replace('#hakimanggota/hakim#','HAKIM TUNGGAL',$Template);
        }
        $counter++;   
    }
}


$counter = 1;
$pihak5 = '';
$pihak5_id='';
$arr_pihak5 = array();
$numbering = true;
if($dataSaksi->num_rows >1){
    for ($i=0; $i < $dataSaksi->num_rows; $i++) { 
        $text = 'saksi'.($i+1);
        if($i==$dataSaksi->num_rows-1){
            $Template = str_replace('#loopingsaksi#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingsaksi#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingsaksi#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingsaksi#','#saksi#',$Template);
}

if (!empty($dataSaksi->num_rows)){   
    foreach ($dataSaksi->result() as $row){
        $pihak5_id=$row->pihak_id;
        $arr_pihak5[]=$row->id;
        if ($dataSaksi->num_rows==1) {
            $nomor='';
            $tab='';
            $saksi = '\b0\\par ';
        }else{
            $nomor=$counter.".";
            $tab='\tab';
            $saksi = '\b0\\par ';
        }
        
        $saksi = $saksi;
        $saksi .= ''.$nomor.'\tab Saksi '.$this->templatehelper->standradnaming($row->nama).($row->jenis_pihak_id==1 ? ($row->jenis_kelamin=="L" ?"Laki-laki":"Perempuan").', kewarganegaraan '.$row->kewarganegaraan.
                  ', tempat tanggal lahir'.$row->tempat_lahir.'/'.$row->tanggal_lahir.', bertempat tinggal '.$row->alamat.', agama'.$row->agama.', pekerjaan '.$row->pekerjaan : ', beralamat di '.$row->alamat).' yang pada pokoknya telah memberikan keterangan sebagai berikut : \\par';

        //$saksi .= '\tab -'.($row->jawaban_t==''?'............' : $row->jawaban_t);

        if($numbering==true){
            $Template = str_replace('#saksi'.$counter.'#',$saksi,$Template);
            $Template = str_replace('#saksi/parasaksi#','Para Saksi',$Template);
        }else{
           $Template = str_replace('#saksi#',$saksi,$Template);
           $Template = str_replace('#saksi/parasaksi#','Saksi',$Template);
        }
        $counter++;    
    }
}

$biaya_pnbp=0;$biaya_atk=0;$biaya_panggilan=0;$biaya_materai=0;$biaya_redaksi=0;$biaya_lain=0;$biaya_pemberitahuan=0;
if($dataBiayaPerkara->num_rows >1){
    foreach ($dataBiayaPerkara->result() as $row ) {
        if  ($row->kategori_id==11) {
            $biaya_pnbp += intval($row->jumlah);
        }
        if  ($row->kategori_id==12) {
            $biaya_atk += intval($row->jumlah);
        }
        if  ($row->kategori_id==4) {
            $biaya_panggilan += intval($row->jumlah);
        }
        if  ($row->kategori_id==8) {
            $biaya_materai += intval($row->jumlah);
        }
        if  ($row->kategori_id==13) {
            $biaya_redaksi += intval($row->jumlah);
        }
        if  ($row->kategori_id==14) {
            $biaya_lain += intval($row->jumlah);
        }
        if  ($row->kategori_id==6) {
            $biaya_pemberitahuan += intval($row->jumlah);
        }
    }
}
if (!empty($dataPersiapan)) {
    $tgl_persiapan=$this->tanggalhelper->convertToInputDate($dataPersiapan[0]->tanggal_penetapan_persiapan);
}else{
    $tgl_persiapan='__________';
}
$Template = str_replace("#tgl_perbaikan_gugatan#",'__________',$Template);
$Template = str_replace("#no_perkara#",''.$nomor_perkara.'',$Template);
$Template = str_replace("#hakim_anggotaN#",''.$hakim_anggotaN.'',$Template);
$Template = str_replace("#hakim_ketua#",''.$hakim_ketua.'',$Template);
$Template = str_replace("#warga_negara#",'Indonesia'.'',$Template);
$Template = str_replace("#no_perkara#",''.$nomor_perkara.'',$Template);
$Template = str_replace("#nama_pengadilan#",''.$nama_pengadilan.'',$Template);
$Template = str_replace("#alamat_pn#",''.$alamt_pn.'',$Template);
$nomor_penetapan_majelis=str_replace("G","PEN-MH",$nomor_perkara);
$Template = str_replace("#tgl_persiapan#",''.$tgl_persiapan.'',$Template);
$Template = str_replace("#tgl_pendaftaran#",''.$tanggal_pendaftaran.'',$Template);
$Template = str_replace("#tgl_gugatan#",''.$tanggal_pendaftaran.'',$Template);
$Template = str_replace("#no_penetapan_majelis#",''.$no_penetapan_majelis.'',$Template);
$Template = str_replace("#tgl_penetapan_majelis#",''.$tgl_penetapan_majelis.'',$Template);
$Template = str_replace("#tgl_penunjukkan_pp#",''.$tgl_penetapan_pp.'',$Template);
$Template = str_replace("#tgl_sidang#",''.$tgl_sidang_pertama.'',$Template);
$Template = str_replace("#no_penetapan_sidang#",''.$nomor_perkara.'',$Template);
$Template = str_replace("#nama_pp#",''.$nama_pp.'',$Template);

$Template = str_replace("#petitum#",''.$this->templatehelper->cleanHtmlTagSpecial($petitum).'',$Template);
$Template = str_replace("#tgl_sidang_putusan#",''.$this->tanggalhelper->convertToInputDate($tanggal_putusan).'',$Template);
$Template = str_replace("#hari_sidang_putusan#",''.$this->templatehelper->getHari($tanggal_putusan).'',$Template);
$Template = str_replace("#amar_putusan#",''.$this->templatehelper->cleanHtmlTagSpecial($amar_putusan).'',$Template);
$Template = str_replace("#dihadiri_oleh#",''.$this->templatehelper->cleanHtmlTagSpecial($dihadiri_oleh).'',$Template);

$total_biaya=intval($biaya_pnbp)+intval($biaya_atk)+intval($biaya_panggilan)+intval($biaya_materai)+intval($biaya_redaksi)+intval($biaya_lain)+intval($biaya_pemberitahuan)+3000;
$Template = str_replace("#biaya_pnbp#",''.number_format($biaya_pnbp).'',$Template);
$Template = str_replace("#biaya_atk#",''.number_format($biaya_atk).'',$Template);
$Template = str_replace("#biaya_panggilan#",''.number_format($biaya_panggilan).'',$Template);
$Template = str_replace("#biaya_pemberitahuan#",''.number_format($biaya_pemberitahuan).'',$Template);
$Template = str_replace("#biaya_materai#",''.number_format($biaya_materai).'',$Template);
$Template = str_replace("#biaya_redaksi#",''.number_format($biaya_redaksi).'',$Template);
$Template = str_replace("#biaya_lain#",''.number_format($biaya_lain).'',$Template);
$Template = str_replace("#total_biaya#",''.number_format($total_biaya).'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$namafile.".rtf\"");
echo $Template;
?>